package cn.cecep.talroad.mapper.effective;


import cn.cecep.talroad.domain.effective.PcNationalCountyRankingOther;
import cn.cecep.talroad.vo.effective.PcNationalCityRanking;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;
import java.util.List;

@Mapper
public interface ReductionEmissionMapper {


    PcNationalCityRanking realTimeMonitoring(@Param("regionCode") String regionCode);

    List<PcNationalCityRanking> cityRanking(@Param("regionCode") String regionCode);

    List<PcNationalCountyRankingOther> countyRanking(@Param("regionCode") String regionCode);

    /**
     * 根据名称查询今年全部数据*
     *
     * @param names
     * @return
     */
    List<PcNationalCityRanking> selectByNames(List<String> names);

    List<PcNationalCityRanking> selecthourByNames(List<String> names, LocalDateTime startTime, LocalDateTime endTime);
}
